rooms.push({
	id: "begin-pickup-nearby",
	name: "Nearby Station",
    description: "Nestled close to a dilapidated mining outpost, surrounded by an endless black void.",
    play: "nearby-outpost",
	actions: [],
	doors: [
        {
			id: "mining-outpost",
			button: "Dock",
			action: "Docking",
			requires: () => true,
			start: () => {
				receiveMessage({name:"[Station Tower]", id:-1, style: "station"}, "Acknowledged "+userData.name+". You are cleared to dock.");
				play('dock-with-station');
			},
			run: () => { userData.position = "mining-outpost"; },
			duration: 2000
		},
    ],
	viewable: [
		{elementId: 'doors', data: {}},
		{elementId: 'room-description', data: {}},
	],
	enter: () => {
		if(isFlagEnabled('begin-cargo-aboard')) {
			receiveMessage({name: "[mysterious signal]", id: -1, style: "dark"}, "Dock at the station. I'll have my associate meet you at the loading dock.");
		}
	}
});

